### Function

# Gimp enum_get_desc

#### Declaration [src]

    const GimpEnumDesc*
    gimp_enum_get_desc (
      GEnumClass* enum_class,
      gint value
    )

#### Description [src]

Retrieves `GimpEnumDesc` associated with the given value, or `NULL`.

Available since: | 2.2

#### Parameters

`enum_class` | `GEnumClass`
| A `GEnumClass`.
| The data is owned by the caller of the function.
`value` | `gint`
| A value from `enum_class`.

#### Return value

Returns: | `GimpEnumDesc`
| The value’s `GimpEnumDesc`.
| The data is owned by the called function.
| The return value can be `NULL`.